View Issue Details

IDProjectCategoryView StatusLast Update
0005045Talerbank (demonstrator)public2017-10-18 15:42
ReporterMarcello StanisciAssigned ToMarcello Stanisci 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product VersionSVN HEAD 
Target Version0.4Fixed in Version0.4 
Summary0005045: Fault-injected testcases
DescriptionMerge the 'faultytest' branch, which takes care of running testcases against broken envs, like malformed config files, mismatching currencies, etc., into 'master'.

TagsNo tags attached.

Activities

Marcello Stanisci

2017-07-12 12:57

manager   ~0012329

Last edited: 2017-07-12 14:44

View 3 revisions

This issue has been solved (e9bb1a6). However, tests run against a non existent database still pass.....

UPDATE: it makes little sense to launch tests against a non existent database, as tests always create a fresh database (named test_WHATEVERNAME).

Marcello Stanisci

2017-07-12 13:17

manager   ~0012330

Last edited: 2017-07-12 13:18

View 2 revisions

Although there is now only one source file for tests, another one is needed: in order to test badly written config files.

Such config files cannot be fed to the current test source, as it would break (*) everything.

(*) not breaking the bank, but the test logic itself.

Marcello Stanisci

2017-07-13 12:19

manager   ~0012332

Alternative tests_alt.py added @ 77d37fb. However there is the following issue regarding a missing option in the config:

If no CURRENCY option is given in config, the bank does NOT crash with a ConfigurationError exception, even if the value_string() method is called with the parameter required=True. In fact, logs show that 'required' turns to be False once the control reaches talerconfig.py.

Marcello Stanisci

2017-07-17 12:52

manager   ~0012341

last issue solved @ 2683506

Issue History

Date Modified Username Field Change
2017-05-29 15:18 Marcello Stanisci New Issue
2017-05-29 15:18 Marcello Stanisci Status new => assigned
2017-05-29 15:18 Marcello Stanisci Assigned To => Marcello Stanisci
2017-07-12 09:51 Marcello Stanisci Target Version => 0.6
2017-07-12 09:51 Marcello Stanisci Description Updated View Revisions
2017-07-12 12:57 Marcello Stanisci Note Added: 0012329
2017-07-12 13:17 Marcello Stanisci Note Added: 0012330
2017-07-12 13:18 Marcello Stanisci Note Edited: 0012330 View Revisions
2017-07-12 14:43 Marcello Stanisci Note Edited: 0012329 View Revisions
2017-07-12 14:44 Marcello Stanisci Note Edited: 0012329 View Revisions
2017-07-13 12:19 Marcello Stanisci Note Added: 0012332
2017-07-17 12:52 Marcello Stanisci Status assigned => resolved
2017-07-17 12:52 Marcello Stanisci Resolution open => fixed
2017-07-17 12:52 Marcello Stanisci Note Added: 0012341
2017-07-20 09:24 Christian Grothoff Product Version => SVN HEAD
2017-07-20 09:24 Christian Grothoff Fixed in Version => 0.4
2017-07-20 09:24 Christian Grothoff Target Version 0.6 => 0.4
2017-10-18 15:42 Christian Grothoff Status resolved => closed